import React, { CSSProperties, ReactElement } from "react";
import { HideShowEvent } from "../consts/dialog-show-hide-event";
import { VibeComponent, VibeComponentProps } from "../../../types";
import * as PopperJS from "@popperjs/core";
export interface DialogContentProps extends VibeComponentProps {
    children?: ReactElement | ReactElement[];
    position?: PopperJS.Placement;
    wrapperClassName?: string;
    isOpen?: boolean;
    startingEdge?: any;
    animationType?: string;
    onEsc?: (event: React.KeyboardEvent) => void;
    onMouseEnter?: (event: React.MouseEvent) => void;
    onMouseLeave?: (event: React.MouseEvent) => void;
    onClickOutside?: (event: React.MouseEvent, hideShowEvent: HideShowEvent) => void;
    onClick?: (event: React.MouseEvent) => void;
    showDelay?: number;
    styleObject?: CSSProperties;
    isReferenceHidden?: boolean;
    hasTooltip?: boolean;
    disableOnClickOutside?: boolean;
    containerSelector?: string;
    disableContainerScroll?: boolean | string;
    /**
     * On context menu event (right click) outside of the dialog
     * @param e
     */
    onContextMenu?: (e: React.MouseEvent) => void;
    "data-testid"?: string;
}
export declare const DialogContent: VibeComponent<DialogContentProps>;
