import React from "react";
import { BaseSizes } from "../../constants";
import { ColorStyle } from "../../utils/colors-vars-map";
import { ColorShapes, ColorPickerValue, ColorPickerArrayValueOnly } from "./ColorPickerConstants";
import { VibeComponentProps, VibeComponent, SubIcon } from "../../types";
export interface ColorPickerProps extends VibeComponentProps {
    value?: ColorPickerValue;
    onSave?: (value: ColorPickerArrayValueOnly) => void;
    ColorIndicatorIcon?: SubIcon;
    SelectedIndicatorIcon?: SubIcon;
    /**
     * Hide color icon
     */
    NoColorIcon?: SubIcon;
    colorStyle?: ColorStyle;
    noColorText?: string;
    shouldRenderIndicatorWithoutBackground?: boolean;
    isBlackListMode?: boolean;
    colorsList?: ColorPickerArrayValueOnly;
    isMultiselect?: boolean;
    colorSize?: BaseSizes;
    numberOfColorsInLine?: number;
    focusOnMount?: boolean;
    colorShape?: ColorShapes;
    /**
     * Used to force the component render the colorList prop as is. Usually, this flag should not be used. It's intended only for edge cases.
     * Usually, only "monday colors" will be rendered (unless blacklist mode is used). This flag will override this behavior.
     */
    forceUseRawColorList?: boolean;
    /**
     * Used to enable color name tooltip on each color in the component. it's incompatible with forceUseRawColorList flag.
     * When "tooltipContentByColor" is supplied, it will override the color name tooltip.
     *
     */
    showColorNameTooltip?: boolean;
}
declare const _default: ((VibeComponent<ColorPickerProps & React.RefAttributes<HTMLElement>, HTMLElement> & Partial<{
    COLOR_STYLES: typeof ColorStyle;
    sizes: typeof BaseSizes;
    colorStyles: typeof ColorStyle;
    colorSizes: typeof BaseSizes;
    colorShapes: typeof ColorShapes;
}>) | (React.FC<ColorPickerProps & React.RefAttributes<HTMLElement>> & Partial<{
    COLOR_STYLES: typeof ColorStyle;
    sizes: typeof BaseSizes;
    colorStyles: typeof ColorStyle;
    colorSizes: typeof BaseSizes;
    colorShapes: typeof ColorShapes;
}>)) & {
    COLOR_STYLES: typeof ColorStyle;
    sizes: typeof BaseSizes;
    colorStyles: typeof ColorStyle;
    colorSizes: typeof BaseSizes;
    colorShapes: typeof ColorShapes;
};
export default _default;
